Skip to main content
GET
/
documents
/
{id}
Get a document
curl --request GET \
  --url https://api.demo.cula.earth/tracking/v1/documents/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Cula-Organisation-Id: <cula-organisation-id>'
{
  "id": "doc_4YSOFPW99GNKJTML",
  "file_name": "biochar_application_confirmation_2025-10-20.pdf",
  "mime_type": "application/pdf",
  "size": 482117,
  "storage": {
    "url": "https://download.cula.tech/signed/eyJhbGciOi...",
    "expires_at": "2025-10-27T12:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Headers

Cula-Organisation-Id
string
required

API ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.

Example:

"org_01h2xcejqtf2nbrexx3vqjhp41"

Path Parameters

id
string
required
Example:

"doc_2KFB4GK66SBXVGTC"

Response

id
string
required
Example:

"doc_4YSOFPW99GNKJTML"

file_name
string
required
Example:

"biochar_application_confirmation_2025-10-20.pdf"

mime_type
string
required
Example:

"application/pdf"

size
integer
required
Example:

482117

storage
object
required